Package be.e_contract.ejsf.component.input

# Enum Class InputComponent.PropertyKeys

java.lang.Object
java.lang.Enum<InputComponent.PropertyKeys>
be.e_contract.ejsf.component.input.InputComponent.PropertyKeys

All Implemented Interfaces:
  `Serializable`, `Comparable<InputComponent.PropertyKeys>`, `java.lang.constant.Constable`

Enclosing class:
  InputComponent

public static enum InputComponent.PropertyKeys extends Enum<InputComponent.PropertyKeys>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`defaultType`
`type`
`types`

## Method Summary

Modifier and Type
Method
Description
`static InputComponent.PropertyKeys`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputComponent.PropertyKeys[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### type

public static final InputComponent.PropertyKeys type

### types

public static final InputComponent.PropertyKeys types

### defaultType

public static final InputComponent.PropertyKeys defaultType

## Method Details

### values

public static InputComponent.PropertyKeys[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InputComponent.PropertyKeys valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null